<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head><body onload="setBrowserTitle('HttpCore NIO 4.3-alpha1: Dashboard')">
<table cellspacing="0" cellpadding="2" class="barGraph">

  <tr>
    <td colspan="2">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
    
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="dashboard.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:44:43 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      5,577
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      27,858
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,454
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.39
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,836
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      14,135
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.44
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.23
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,271
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      185
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.93
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      15.69
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      204
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      13
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:44:43 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      5,577
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      27,858
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,454
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.39
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,836
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      14,135
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.44
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.23
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,271
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      185
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.93
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      15.69
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      204
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      13
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="2" ></td></tr>

        
<tr valign="top">

    <td class="hbreak" colspan="1">
    <div class="left-third">
                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                
            <label class="titleText link" onkeyup="return help_dash_coverage;" onclick="self.location='pkg-summary.html'">Coverage</label><span> 204 classes, 5,791 / 8,684 elements</span>
            <table><tr><td>66.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6668586</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="66.7% Covered" class="barPositive " style="width: 66.7%"></div>
    </div>
</div></td></tr></table>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    
                        <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <div><label class="titleText link" onkeyup="return help_dash_coverage;" onclick="self.location='pkg-summary.html'">Class Coverage Distribution</label></div>
            <div class="center"><img src="img/classDistrubutionChart.png" alt="img/classDistrubutionChart.png" usemap="#classDistrubutionChart.png"/>
            <map id="classDistrubutionChart.png" name="classDistrubutionChart.png">
<area shape="rect" coords="245,12,263,149" title="31 classes have 91-100% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="225,83,243,149" title="15 classes have 81-90% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="204,57,222,150" title="21 classes have 71-80% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="183,92,201,149" title="13 classes have 61-70% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="162,110,180,149" title="9 classes have 51-60% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="142,101,160,149" title="11 classes have 41-50% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="121,141,139,149" title="2 classes have 31-40% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="100,146,118,150" title="1 class has 21-30% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="79,141,97,149" title="2 classes have 11-20% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="38,17,56,150" title="30 classes have 0% coverage" alt="" nohref="nohref"/>
</map></div>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
            
                        <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <div><label class="titleText link" onkeyup="return help_dash_risks;" onclick="self.location='proj-risks.html'">Class Complexity</label></div>
            <div class="center"><img src="img/classComplexityChart.png" alt="img/classComplexityChart.png" usemap="#classComplexityChart.png"/>
            <map id="classComplexityChart.png" name="classComplexityChart.png">
<area shape="poly" coords="52,147,49,149,47,147,49,144,52,147,52,147" title="Cmp: 4; Cov: 0%; SkipContentListener" alt="" href="org/apache/http/nio/entity/SkipContentListener.html#SkipContentListener"/>
<area shape="poly" coords="197,129,195,131,192,129,195,126,197,129,197,129" title="Cmp: 17; Cov: 72%; NStringEntity" alt="" href="org/apache/http/nio/entity/NStringEntity.html#NStringEntity"/>
<area shape="poly" coords="52,139,49,141,47,139,49,136,52,139,52,139" title="Cmp: 10; Cov: 0%; NHttpEntityWrapper" alt="" href="org/apache/http/nio/entity/NHttpEntityWrapper.html#NHttpEntityWrapper"/>
<area shape="poly" coords="52,123,49,126,47,123,49,121,52,123,52,123" title="Cmp: 21; Cov: 0%; NFileEntity" alt="" href="org/apache/http/nio/entity/NFileEntity.html#NFileEntity"/>
<area shape="poly" coords="153,125,150,127,148,125,150,122,153,125,153,125" title="Cmp: 20; Cov: 50%; NByteArrayEntity" alt="" href="org/apache/http/nio/entity/NByteArrayEntity.html#NByteArrayEntity"/>
<area shape="poly" coords="86,141,84,144,81,141,84,139,86,141,86,141" title="Cmp: 8; Cov: 17%; EntityAsyncContentProducer" alt="" href="org/apache/http/nio/entity/EntityAsyncContentProducer.html#EntityAsyncContentProducer"/>
<area shape="poly" coords="206,143,203,145,201,143,203,140,206,143,206,143" title="Cmp: 7; Cov: 76%; ContentOutputStream" alt="" href="org/apache/http/nio/entity/ContentOutputStream.html#ContentOutputStream"/>
<area shape="poly" coords="206,140,203,143,201,140,203,138,206,140,206,140" title="Cmp: 9; Cov: 76%; ContentInputStream" alt="" href="org/apache/http/nio/entity/ContentInputStream.html#ContentInputStream"/>
<area shape="poly" coords="191,146,189,148,186,146,189,143,191,146,191,146" title="Cmp: 5; Cov: 69%; ContentBufferEntity" alt="" href="org/apache/http/nio/entity/ContentBufferEntity.html#ContentBufferEntity"/>
<area shape="poly" coords="52,141,49,144,47,141,49,139,52,141,52,141" title="Cmp: 8; Cov: 0%; ConsumingNHttpEntityTemplate" alt="" href="org/apache/http/nio/entity/ConsumingNHttpEntityTemplate.html#ConsumingNHttpEntityTemplate"/>
<area shape="poly" coords="153,136,150,138,148,136,150,133,153,136,153,136" title="Cmp: 12; Cov: 50%; BufferingNHttpEntity" alt="" href="org/apache/http/nio/entity/BufferingNHttpEntity.html#BufferingNHttpEntity"/>
<area shape="poly" coords="254,147,252,149,249,147,252,144,254,147,254,147" title="Cmp: 4; Cov: 100%; BasicNIOPoolEntry" alt="" href="org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry"/>
<area shape="poly" coords="131,139,128,141,126,139,128,136,131,139,131,139" title="Cmp: 10; Cov: 39%; BasicNIOConnPool" alt="" href="org/apache/http/impl/nio/pool/BasicNIOConnPool.html#BasicNIOConnPool"/>
<area shape="poly" coords="153,137,150,140,148,137,150,135,153,137,153,137" title="Cmp: 11; Cov: 50%; BasicNIOConnFactory" alt="" href="org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory"/>
<area shape="poly" coords="250,111,248,113,245,111,248,108,250,111,250,111" title="Cmp: 30; Cov: 98%; RouteSpecificPool" alt="" href="org/apache/http/nio/pool/RouteSpecificPool.html#RouteSpecificPool"/>
<area shape="poly" coords="254,141,252,144,249,141,252,139,254,141,254,141" title="Cmp: 8; Cov: 100%; LeaseRequest" alt="" href="org/apache/http/nio/pool/LeaseRequest.html#LeaseRequest"/>
<area shape="poly" coords="102,147,100,149,97,147,100,144,102,147,102,147" title="Cmp: 4; Cov: 25%; AbstractNIOConnPool.InternalSessionRequestCallback" alt="" href="org/apache/http/nio/pool/AbstractNIOConnPool.html#AbstractNIOConnPool.InternalSessionRequestCallback"/>
<area shape="poly" coords="236,66,233,69,231,66,233,64,236,66,236,66" title="Cmp: 62; Cov: 91%; AbstractNIOConnPool" alt="" href="org/apache/http/nio/pool/AbstractNIOConnPool.html#AbstractNIOConnPool"/>
<area shape="poly" coords="236,141,233,144,231,141,233,139,236,141,236,141" title="Cmp: 8; Cov: 91%; UriHttpAsyncRequestHandlerMapper" alt="" href="org/apache/http/nio/protocol/UriHttpAsyncRequestHandlerMapper.html#UriHttpAsyncRequestHandlerMapper"/>
<area shape="poly" coords="216,129,213,131,211,129,213,126,216,129,216,129" title="Cmp: 17; Cov: 81%; ThrottlingHttpServiceHandler.ServerConnState" alt="" href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler.ServerConnState"/>
<area shape="poly" coords="179,43,177,45,174,43,177,40,179,43,179,43" title="Cmp: 79; Cov: 63%; ThrottlingHttpServiceHandler" alt="" href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler"/>
<area shape="poly" coords="234,126,231,129,229,126,231,124,234,126,234,126" title="Cmp: 19; Cov: 90%; ThrottlingHttpClientHandler.ClientConnState" alt="" href="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler.ClientConnState"/>
<area shape="poly" coords="183,59,181,62,178,59,181,57,183,59,183,59" title="Cmp: 67; Cov: 65%; ThrottlingHttpClientHandler" alt="" href="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler"/>
<area shape="poly" coords="254,151,252,154,249,151,252,149,254,151,254,151" title="Cmp: 1; Cov: 100%; SimpleNHttpRequestHandler" alt="" href="org/apache/http/nio/protocol/SimpleNHttpRequestHandler.html#SimpleNHttpRequestHandler"/>
<area shape="poly" coords="254,148,252,151,249,148,252,146,254,148,254,148" title="Cmp: 3; Cov: 100%; NullRequestHandler" alt="" href="org/apache/http/nio/protocol/NullRequestHandler.html#NullRequestHandler"/>
<area shape="poly" coords="157,139,154,141,152,139,154,136,157,139,157,139" title="Cmp: 10; Cov: 52%; NullRequestConsumer" alt="" href="org/apache/http/nio/protocol/NullRequestConsumer.html#NullRequestConsumer"/>
<area shape="poly" coords="167,141,165,144,162,141,165,139,167,141,167,141" title="Cmp: 8; Cov: 57%; NullNHttpEntity" alt="" href="org/apache/http/nio/protocol/NullNHttpEntity.html#NullNHttpEntity"/>
<area shape="poly" coords="52,144,49,147,47,144,49,142,52,144,52,144" title="Cmp: 6; Cov: 0%; NHttpRequestHandlerRegistry" alt="" href="org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry"/>
<area shape="poly" coords="139,130,136,133,134,130,136,128,139,130,139,130" title="Cmp: 16; Cov: 43%; NHttpHandlerBase" alt="" href="org/apache/http/nio/protocol/NHttpHandlerBase.html#NHttpHandlerBase"/>
<area shape="poly" coords="52,150,49,152,47,150,49,147,52,150,52,150" title="Cmp: 2; Cov: 0%; HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter" alt="" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter"/>
<area shape="poly" coords="206,132,203,134,201,132,203,129,206,132,206,132" title="Cmp: 15; Cov: 76%; HttpAsyncService.Exchange" alt="" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.Exchange"/>
<area shape="poly" coords="254,119,252,122,249,119,252,117,254,119,254,119" title="Cmp: 24; Cov: 100%; HttpAsyncService.State" alt="" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.State"/>
<area shape="poly" coords="238,43,236,45,233,43,236,40,238,43,238,43" title="Cmp: 79; Cov: 92%; HttpAsyncService" alt="" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService"/>
<area shape="poly" coords="254,147,252,149,249,147,252,144,254,147,254,147" title="Cmp: 4; Cov: 100%; BasicNIOPoolEntry" alt="" href="org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry"/>
<area shape="poly" coords="242,141,240,144,237,141,240,139,242,141,242,141" title="Cmp: 8; Cov: 94%; HttpAsyncRequester.ConnRequestCallback" alt="" href="org/apache/http/nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester.ConnRequestCallback"/>
<area shape="poly" coords="238,132,236,134,233,132,236,129,238,132,238,132" title="Cmp: 15; Cov: 92%; HttpAsyncRequester" alt="" href="org/apache/http/nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester"/>
<area shape="poly" coords="52,144,49,147,47,144,49,142,52,144,52,144" title="Cmp: 6; Cov: 0%; NHttpRequestHandlerRegistry" alt="" href="org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry"/>
<area shape="poly" coords="250,129,248,131,245,129,248,126,250,129,250,129" title="Cmp: 17; Cov: 98%; HttpAsyncRequestExecutor.State" alt="" href="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor.State"/>
<area shape="poly" coords="244,72,242,74,239,72,242,69,244,72,244,72" title="Cmp: 58; Cov: 95%; HttpAsyncRequestExecutor" alt="" href="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor"/>
<area shape="poly" coords="244,141,242,144,239,141,242,139,244,141,244,141" title="Cmp: 8; Cov: 95%; ErrorResponseProducer" alt="" href="org/apache/http/nio/protocol/ErrorResponseProducer.html#ErrorResponseProducer"/>
<area shape="poly" coords="195,148,193,151,190,148,193,146,195,148,195,148" title="Cmp: 3; Cov: 71%; BufferingHttpServiceHandler.RequestHandlerAdaptor" alt="" href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerAdaptor"/>
<area shape="poly" coords="195,150,193,152,190,150,193,147,195,150,195,150" title="Cmp: 2; Cov: 71%; BufferingHttpServiceHandler.RequestHandlerResolverAdaptor" alt="" href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerResolverAdaptor"/>
<area shape="poly" coords="185,133,183,136,180,133,183,131,185,133,185,133" title="Cmp: 14; Cov: 66%; BufferingHttpServiceHandler" alt="" href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler"/>
<area shape="poly" coords="52,144,49,147,47,144,49,142,52,144,52,144" title="Cmp: 6; Cov: 0%; NHttpRequestHandlerRegistry" alt="" href="org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry"/>
<area shape="poly" coords="52,136,49,138,47,136,49,133,52,136,52,136" title="Cmp: 12; Cov: 0%; BufferingHttpClientHandler" alt="" href="org/apache/http/nio/protocol/BufferingHttpClientHandler.html#BufferingHttpClientHandler"/>
<area shape="poly" coords="238,136,236,138,233,136,236,133,238,136,238,136" title="Cmp: 12; Cov: 92%; BasicAsyncResponseProducer" alt="" href="org/apache/http/nio/protocol/BasicAsyncResponseProducer.html#BasicAsyncResponseProducer"/>
<area shape="poly" coords="224,140,221,143,219,140,221,138,224,140,224,140" title="Cmp: 9; Cov: 85%; BasicAsyncResponseConsumer" alt="" href="org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html#BasicAsyncResponseConsumer"/>
<area shape="poly" coords="228,129,225,131,223,129,225,126,228,129,228,129" title="Cmp: 17; Cov: 87%; BasicAsyncRequestProducer" alt="" href="org/apache/http/nio/protocol/BasicAsyncRequestProducer.html#BasicAsyncRequestProducer"/>
<area shape="poly" coords="254,148,252,151,249,148,252,146,254,148,254,148" title="Cmp: 3; Cov: 100%; NullRequestHandler" alt="" href="org/apache/http/nio/protocol/NullRequestHandler.html#NullRequestHandler"/>
<area shape="poly" coords="214,108,211,111,209,108,211,106,214,108,214,108" title="Cmp: 32; Cov: 80%; BasicAsyncRequestExecutionHandler" alt="" href="org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler"/>
<area shape="poly" coords="224,140,221,143,219,140,221,138,224,140,224,140" title="Cmp: 9; Cov: 85%; BasicAsyncResponseConsumer" alt="" href="org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html#BasicAsyncResponseConsumer"/>
<area shape="poly" coords="169,143,167,145,164,143,167,140,169,143,169,143" title="Cmp: 7; Cov: 58%; AsyncNHttpServiceHandler.ResponseTriggerImpl" alt="" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ResponseTriggerImpl"/>
<area shape="poly" coords="220,118,217,120,215,118,217,115,220,118,220,118" title="Cmp: 25; Cov: 83%; AsyncNHttpServiceHandler.ServerConnState" alt="" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ServerConnState"/>
<area shape="poly" coords="187,54,185,56,182,54,185,51,187,54,187,54" title="Cmp: 71; Cov: 67%; AsyncNHttpServiceHandler" alt="" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler"/>
<area shape="poly" coords="244,125,242,127,239,125,242,122,244,125,244,125" title="Cmp: 20; Cov: 95%; AsyncNHttpClientHandler.ClientConnState" alt="" href="org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler.ClientConnState"/>
<area shape="poly" coords="185,69,183,72,180,69,183,67,185,69,185,69" title="Cmp: 60; Cov: 66%; AsyncNHttpClientHandler" alt="" href="org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler"/>
<area shape="poly" coords="250,130,248,133,245,130,248,128,250,130,250,130" title="Cmp: 16; Cov: 98%; AbstractAsyncResponseConsumer" alt="" href="org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html#AbstractAsyncResponseConsumer"/>
<area shape="poly" coords="232,132,229,134,227,132,229,129,232,132,232,132" title="Cmp: 15; Cov: 89%; AbstractAsyncRequestConsumer" alt="" href="org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html#AbstractAsyncRequestConsumer"/>
<area shape="poly" coords="177,148,175,151,172,148,175,146,177,148,177,148" title="Cmp: 3; Cov: 62%; IOReactorException" alt="" href="org/apache/http/nio/reactor/IOReactorException.html#IOReactorException"/>
<area shape="poly" coords="153,147,150,149,148,147,150,144,153,147,153,147" title="Cmp: 4; Cov: 50%; SSLIOSession.InternalByteChannel" alt="" href="org/apache/http/nio/reactor/ssl/SSLIOSession.html#SSLIOSession.InternalByteChannel"/>
<area shape="poly" coords="195,15,193,17,190,15,193,12,195,15,195,15" title="Cmp: 99; Cov: 71%; SSLIOSession" alt="" href="org/apache/http/nio/reactor/ssl/SSLIOSession.html#SSLIOSession"/>
<area shape="poly" coords="52,140,49,143,47,140,49,138,52,140,52,140" title="Cmp: 9; Cov: 0%; NIOReactorParams" alt="" href="org/apache/http/nio/params/NIOReactorParams.html#NIOReactorParams"/>
<area shape="poly" coords="52,148,49,151,47,148,49,146,52,148,52,148" title="Cmp: 3; Cov: 0%; NIOReactorParamBean" alt="" href="org/apache/http/nio/params/NIOReactorParamBean.html#NIOReactorParamBean"/>
<area shape="poly" coords="254,147,252,149,249,147,252,144,254,147,254,147" title="Cmp: 4; Cov: 100%; BasicNIOPoolEntry" alt="" href="org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry"/>
<area shape="poly" coords="254,147,252,149,249,147,252,144,254,147,254,147" title="Cmp: 4; Cov: 100%; BasicNIOPoolEntry" alt="" href="org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry"/>
<area shape="poly" coords="181,129,179,131,176,129,179,126,181,129,181,129" title="Cmp: 17; Cov: 64%; SimpleOutputBuffer" alt="" href="org/apache/http/nio/util/SimpleOutputBuffer.html#SimpleOutputBuffer"/>
<area shape="poly" coords="240,125,238,127,235,125,238,122,240,125,240,125" title="Cmp: 20; Cov: 93%; SimpleInputBuffer" alt="" href="org/apache/http/nio/util/SimpleInputBuffer.html#SimpleInputBuffer"/>
<area shape="poly" coords="175,91,173,94,170,91,173,89,175,91,175,91" title="Cmp: 44; Cov: 61%; SharedOutputBuffer" alt="" href="org/apache/http/nio/util/SharedOutputBuffer.html#SharedOutputBuffer"/>
<area shape="poly" coords="167,90,165,92,162,90,165,87,167,90,167,90" title="Cmp: 45; Cov: 57%; SharedInputBuffer" alt="" href="org/apache/http/nio/util/SharedInputBuffer.html#SharedInputBuffer"/>
<area shape="poly" coords="254,150,252,152,249,150,252,147,254,150,254,150" title="Cmp: 2; Cov: 100%; HeapByteBufferAllocator" alt="" href="org/apache/http/nio/util/HeapByteBufferAllocator.html#HeapByteBufferAllocator"/>
<area shape="poly" coords="193,126,191,129,188,126,191,124,193,126,193,126" title="Cmp: 19; Cov: 70%; ExpandableBuffer" alt="" href="org/apache/http/nio/util/ExpandableBuffer.html#ExpandableBuffer"/>
<area shape="poly" coords="254,150,252,152,249,150,252,147,254,150,254,150" title="Cmp: 2; Cov: 100%; HeapByteBufferAllocator" alt="" href="org/apache/http/nio/util/HeapByteBufferAllocator.html#HeapByteBufferAllocator"/>
<area shape="poly" coords="52,143,49,145,47,143,49,140,52,143,52,143" title="Cmp: 7; Cov: 0%; SSLServerIOEventDispatch" alt="" href="org/apache/http/impl/nio/ssl/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch"/>
<area shape="poly" coords="52,143,49,145,47,143,49,140,52,143,52,143" title="Cmp: 7; Cov: 0%; SSLServerIOEventDispatch" alt="" href="org/apache/http/impl/nio/ssl/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch"/>
<area shape="poly" coords="137,101,134,104,132,101,134,99,137,101,137,101" title="Cmp: 37; Cov: 42%; SessionRequestImpl" alt="" href="org/apache/http/impl/nio/reactor/SessionRequestImpl.html#SessionRequestImpl"/>
<area shape="poly" coords="208,148,205,151,203,148,205,146,208,148,208,148" title="Cmp: 3; Cov: 77%; SessionRequestHandle" alt="" href="org/apache/http/impl/nio/reactor/SessionRequestHandle.html#SessionRequestHandle"/>
<area shape="poly" coords="206,100,203,102,201,100,203,97,206,100,206,100" title="Cmp: 38; Cov: 76%; SessionOutputBufferImpl" alt="" href="org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html#SessionOutputBufferImpl"/>
<area shape="poly" coords="216,93,213,95,211,93,213,90,216,93,216,93" title="Cmp: 43; Cov: 81%; SessionInputBufferImpl" alt="" href="org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html#SessionInputBufferImpl"/>
<area shape="poly" coords="52,141,49,144,47,141,49,139,52,141,52,141" title="Cmp: 8; Cov: 0%; ConsumingNHttpEntityTemplate" alt="" href="org/apache/http/nio/entity/ConsumingNHttpEntityTemplate.html#ConsumingNHttpEntityTemplate"/>
<area shape="poly" coords="52,146,49,148,47,146,49,143,52,146,52,146" title="Cmp: 5; Cov: 0%; SSLSetupHandlerAdaptor" alt="" href="org/apache/http/impl/nio/reactor/SSLSetupHandlerAdaptor.html#SSLSetupHandlerAdaptor"/>
<area shape="poly" coords="52,146,49,148,47,146,49,143,52,146,52,146" title="Cmp: 5; Cov: 0%; SSLSetupHandlerAdaptor" alt="" href="org/apache/http/impl/nio/reactor/SSLSetupHandlerAdaptor.html#SSLSetupHandlerAdaptor"/>
<area shape="poly" coords="52,139,49,141,47,139,49,136,52,139,52,139" title="Cmp: 10; Cov: 0%; NHttpEntityWrapper" alt="" href="org/apache/http/nio/entity/NHttpEntityWrapper.html#NHttpEntityWrapper"/>
<area shape="poly" coords="197,122,195,124,192,122,195,119,197,122,197,122" title="Cmp: 22; Cov: 72%; ListenerEndpointImpl" alt="" href="org/apache/http/impl/nio/reactor/ListenerEndpointImpl.html#ListenerEndpointImpl"/>
<area shape="poly" coords="52,146,49,148,47,146,49,143,52,146,52,146" title="Cmp: 5; Cov: 0%; SSLSetupHandlerAdaptor" alt="" href="org/apache/http/impl/nio/reactor/SSLSetupHandlerAdaptor.html#SSLSetupHandlerAdaptor"/>
<area shape="poly" coords="147,72,144,74,142,72,144,69,147,72,147,72" title="Cmp: 58; Cov: 47%; IOSessionImpl" alt="" href="org/apache/http/impl/nio/reactor/IOSessionImpl.html#IOSessionImpl"/>
<area shape="poly" coords="127,136,124,138,122,136,124,133,127,136,127,136" title="Cmp: 12; Cov: 37%; IOReactorConfig.Builder" alt="" href="org/apache/http/impl/nio/reactor/IOReactorConfig.html#IOReactorConfig.Builder"/>
<area shape="poly" coords="137,118,134,120,132,118,134,115,137,118,137,118" title="Cmp: 25; Cov: 42%; IOReactorConfig" alt="" href="org/apache/http/impl/nio/reactor/IOReactorConfig.html#IOReactorConfig"/>
<area shape="poly" coords="173,144,171,147,168,144,171,142,173,144,173,144" title="Cmp: 6; Cov: 60%; ExceptionEvent" alt="" href="org/apache/http/impl/nio/reactor/ExceptionEvent.html#ExceptionEvent"/>
<area shape="poly" coords="173,97,171,99,168,97,171,94,173,97,173,97" title="Cmp: 40; Cov: 60%; DefaultListeningIOReactor" alt="" href="org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor"/>
<area shape="poly" coords="173,101,171,104,168,101,171,99,173,101,173,101" title="Cmp: 37; Cov: 60%; DefaultConnectingIOReactor" alt="" href="org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor"/>
<area shape="poly" coords="254,144,252,147,249,144,252,142,254,144,254,144" title="Cmp: 6; Cov: 100%; ChannelEntry" alt="" href="org/apache/http/impl/nio/reactor/ChannelEntry.html#ChannelEntry"/>
<area shape="poly" coords="210,104,207,106,205,104,207,101,210,104,210,104" title="Cmp: 35; Cov: 78%; BaseIOReactor" alt="" href="org/apache/http/impl/nio/reactor/BaseIOReactor.html#BaseIOReactor"/>
<area shape="poly" coords="254,151,252,154,249,151,252,149,254,151,254,151" title="Cmp: 1; Cov: 100%; SimpleNHttpRequestHandler" alt="" href="org/apache/http/nio/protocol/SimpleNHttpRequestHandler.html#SimpleNHttpRequestHandler"/>
<area shape="poly" coords="254,147,252,149,249,147,252,144,254,147,254,147" title="Cmp: 4; Cov: 100%; BasicNIOPoolEntry" alt="" href="org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry"/>
<area shape="poly" coords="202,64,199,66,197,64,199,61,202,64,202,64" title="Cmp: 64; Cov: 74%; AbstractMultiworkerIOReactor" alt="" href="org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor"/>
<area shape="poly" coords="183,45,181,48,178,45,181,43,183,45,183,45" title="Cmp: 77; Cov: 65%; AbstractIOReactor" alt="" href="org/apache/http/impl/nio/reactor/AbstractIOReactor.html#AbstractIOReactor"/>
<area shape="poly" coords="185,115,183,118,180,115,183,113,185,115,185,115" title="Cmp: 27; Cov: 66%; AbstractIODispatch" alt="" href="org/apache/http/impl/nio/reactor/AbstractIODispatch.html#AbstractIODispatch"/>
<area shape="poly" coords="214,137,211,140,209,137,211,135,214,137,214,137" title="Cmp: 11; Cov: 80%; LengthDelimitedEncoder" alt="" href="org/apache/http/impl/nio/codecs/LengthDelimitedEncoder.html#LengthDelimitedEncoder"/>
<area shape="poly" coords="226,121,223,123,221,121,223,118,226,121,226,121" title="Cmp: 23; Cov: 86%; LengthDelimitedDecoder" alt="" href="org/apache/http/impl/nio/codecs/LengthDelimitedDecoder.html#LengthDelimitedDecoder"/>
<area shape="poly" coords="139,141,136,144,134,141,136,139,139,141,139,141" title="Cmp: 8; Cov: 43%; IdentityEncoder" alt="" href="org/apache/http/impl/nio/codecs/IdentityEncoder.html#IdentityEncoder"/>
<area shape="poly" coords="212,128,209,130,207,128,209,125,212,128,212,128" title="Cmp: 18; Cov: 79%; IdentityDecoder" alt="" href="org/apache/http/impl/nio/codecs/IdentityDecoder.html#IdentityDecoder"/>
<area shape="poly" coords="52,150,49,152,47,150,49,147,52,150,52,150" title="Cmp: 2; Cov: 0%; HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter" alt="" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter"/>
<area shape="poly" coords="52,150,49,152,47,150,49,147,52,150,52,150" title="Cmp: 2; Cov: 0%; HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter" alt="" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter"/>
<area shape="poly" coords="52,150,49,152,47,150,49,147,52,150,52,150" title="Cmp: 2; Cov: 0%; HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter" alt="" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter"/>
<area shape="poly" coords="52,150,49,152,47,150,49,147,52,150,52,150" title="Cmp: 2; Cov: 0%; HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter" alt="" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter"/>
<area shape="poly" coords="230,147,227,149,225,147,227,144,230,147,230,147" title="Cmp: 4; Cov: 88%; DefaultHttpResponseWriterFactory" alt="" href="org/apache/http/impl/nio/codecs/DefaultHttpResponseWriterFactory.html#DefaultHttpResponseWriterFactory"/>
<area shape="poly" coords="195,148,193,151,190,148,193,146,195,148,195,148" title="Cmp: 3; Cov: 71%; BufferingHttpServiceHandler.RequestHandlerAdaptor" alt="" href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerAdaptor"/>
<area shape="poly" coords="220,146,217,148,215,146,217,143,220,146,220,146" title="Cmp: 5; Cov: 83%; DefaultHttpResponseParserFactory" alt="" href="org/apache/http/impl/nio/codecs/DefaultHttpResponseParserFactory.html#DefaultHttpResponseParserFactory"/>
<area shape="poly" coords="206,144,203,147,201,144,203,142,206,144,206,144" title="Cmp: 6; Cov: 76%; DefaultHttpResponseParser" alt="" href="org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html#DefaultHttpResponseParser"/>
<area shape="poly" coords="230,147,227,149,225,147,227,144,230,147,230,147" title="Cmp: 4; Cov: 88%; DefaultHttpResponseWriterFactory" alt="" href="org/apache/http/impl/nio/codecs/DefaultHttpResponseWriterFactory.html#DefaultHttpResponseWriterFactory"/>
<area shape="poly" coords="195,148,193,151,190,148,193,146,195,148,195,148" title="Cmp: 3; Cov: 71%; BufferingHttpServiceHandler.RequestHandlerAdaptor" alt="" href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerAdaptor"/>
<area shape="poly" coords="220,146,217,148,215,146,217,143,220,146,220,146" title="Cmp: 5; Cov: 83%; DefaultHttpResponseParserFactory" alt="" href="org/apache/http/impl/nio/codecs/DefaultHttpResponseParserFactory.html#DefaultHttpResponseParserFactory"/>
<area shape="poly" coords="206,144,203,147,201,144,203,142,206,144,206,144" title="Cmp: 6; Cov: 76%; DefaultHttpResponseParser" alt="" href="org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html#DefaultHttpResponseParser"/>
<area shape="poly" coords="224,137,221,140,219,137,221,135,224,137,224,137" title="Cmp: 11; Cov: 85%; ChunkEncoder" alt="" href="org/apache/http/impl/nio/codecs/ChunkEncoder.html#ChunkEncoder"/>
<area shape="poly" coords="246,90,244,92,241,90,244,87,246,90,246,90" title="Cmp: 45; Cov: 96%; ChunkDecoder" alt="" href="org/apache/http/impl/nio/codecs/ChunkDecoder.html#ChunkDecoder"/>
<area shape="poly" coords="183,143,181,145,178,143,181,140,183,143,183,143" title="Cmp: 7; Cov: 65%; AbstractMessageWriter" alt="" href="org/apache/http/impl/nio/codecs/AbstractMessageWriter.html#AbstractMessageWriter"/>
<area shape="poly" coords="232,101,229,104,227,101,229,99,232,101,232,101" title="Cmp: 37; Cov: 89%; AbstractMessageParser" alt="" href="org/apache/http/impl/nio/codecs/AbstractMessageParser.html#AbstractMessageParser"/>
<area shape="poly" coords="254,146,252,148,249,146,252,143,254,146,254,146" title="Cmp: 5; Cov: 100%; AbstractContentEncoder" alt="" href="org/apache/http/impl/nio/codecs/AbstractContentEncoder.html#AbstractContentEncoder"/>
<area shape="poly" coords="254,150,252,152,249,150,252,147,254,150,254,150" title="Cmp: 2; Cov: 100%; HeapByteBufferAllocator" alt="" href="org/apache/http/nio/util/HeapByteBufferAllocator.html#HeapByteBufferAllocator"/>
<area shape="poly" coords="254,147,252,149,249,147,252,144,254,147,254,147" title="Cmp: 4; Cov: 100%; BasicNIOPoolEntry" alt="" href="org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry"/>
<area shape="poly" coords="52,126,49,129,47,126,49,124,52,126,52,126" title="Cmp: 19; Cov: 0%; SSLServerIOEventDispatch" alt="" href="org/apache/http/impl/nio/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch"/>
<area shape="poly" coords="52,129,49,131,47,129,49,126,52,129,52,129" title="Cmp: 17; Cov: 0%; SSLNHttpServerConnectionFactory" alt="" href="org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory"/>
<area shape="poly" coords="52,129,49,131,47,129,49,126,52,129,52,129" title="Cmp: 17; Cov: 0%; SSLNHttpServerConnectionFactory" alt="" href="org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory"/>
<area shape="poly" coords="52,126,49,129,47,126,49,124,52,126,52,126" title="Cmp: 19; Cov: 0%; SSLServerIOEventDispatch" alt="" href="org/apache/http/impl/nio/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch"/>
<area shape="poly" coords="52,134,49,137,47,134,49,132,52,134,52,134" title="Cmp: 13; Cov: 0%; NHttpServerEventHandlerAdaptor" alt="" href="org/apache/http/impl/nio/NHttpServerEventHandlerAdaptor.html#NHttpServerEventHandlerAdaptor"/>
<area shape="poly" coords="155,65,152,67,150,65,152,62,155,65,155,65" title="Cmp: 63; Cov: 51%; NHttpConnectionBase" alt="" href="org/apache/http/impl/nio/NHttpConnectionBase.html#NHttpConnectionBase"/>
<area shape="poly" coords="52,134,49,137,47,134,49,132,52,134,52,134" title="Cmp: 13; Cov: 0%; NHttpServerEventHandlerAdaptor" alt="" href="org/apache/http/impl/nio/NHttpServerEventHandlerAdaptor.html#NHttpServerEventHandlerAdaptor"/>
<area shape="poly" coords="52,139,49,141,47,139,49,136,52,139,52,139" title="Cmp: 10; Cov: 0%; NHttpEntityWrapper" alt="" href="org/apache/http/nio/entity/NHttpEntityWrapper.html#NHttpEntityWrapper"/>
<area shape="poly" coords="92,137,90,140,87,137,90,135,92,137,92,137" title="Cmp: 11; Cov: 20%; DefaultNHttpServerConnectionFactory" alt="" href="org/apache/http/impl/nio/DefaultNHttpServerConnectionFactory.html#DefaultNHttpServerConnectionFactory"/>
<area shape="poly" coords="208,86,205,88,203,86,205,83,208,86,208,86" title="Cmp: 48; Cov: 77%; DefaultNHttpServerConnection" alt="" href="org/apache/http/impl/nio/DefaultNHttpServerConnection.html#DefaultNHttpServerConnection"/>
<area shape="poly" coords="145,137,142,140,140,137,142,135,145,137,145,137" title="Cmp: 11; Cov: 46%; DefaultNHttpClientConnectionFactory" alt="" href="org/apache/http/impl/nio/DefaultNHttpClientConnectionFactory.html#DefaultNHttpClientConnectionFactory"/>
<area shape="poly" coords="197,89,195,91,192,89,195,86,197,89,197,89" title="Cmp: 46; Cov: 72%; DefaultNHttpClientConnection" alt="" href="org/apache/http/impl/nio/DefaultNHttpClientConnection.html#DefaultNHttpClientConnection"/>
<area shape="poly" coords="163,130,161,133,158,130,161,128,163,130,163,130" title="Cmp: 16; Cov: 55%; DefaultHttpServerIODispatch" alt="" href="org/apache/http/impl/nio/DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch"/>
<area shape="poly" coords="143,130,140,133,138,130,140,128,143,130,143,130" title="Cmp: 16; Cov: 45%; DefaultHttpClientIODispatch" alt="" href="org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch"/>
<area shape="poly" coords="52,139,49,141,47,139,49,136,52,139,52,139" title="Cmp: 10; Cov: 0%; NHttpEntityWrapper" alt="" href="org/apache/http/nio/entity/NHttpEntityWrapper.html#NHttpEntityWrapper"/>
</map></div>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
            
                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
            <label class="titleText link" onkeyup="return help_dash_packages;" onclick="self.location='pkg-summary.html'">Most Complex Packages</label>
        
        <table>
                    
                        <tr><td>1. </td><td>76.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.76907074</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="23.1% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="76.9% Covered" class="barPositive " style="width: 76.9%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/nio/protocol/pkg-summary.html">org.apache.http.nio.protocol</a> (803)</td></tr>
                    
                        <tr><td>2. </td><td>61.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.61828226</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="38.2% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="61.8% Covered" class="barPositive " style="width: 61.8%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/impl/nio/reactor/pkg-summary.html">org.apache.http.impl.nio.reactor</a> (568)</td></tr>
                    
                        <tr><td>3. </td><td>38.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.38934803</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.1% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="38.9% Covered" class="barPositive " style="width: 38.9%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/impl/nio/pkg-summary.html">org.apache.http.impl.nio</a> (333)</td></tr>
                    
                        <tr><td>4. </td><td>82.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8241206</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="17.6% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="82.4% Covered" class="barPositive " style="width: 82.4%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/impl/nio/codecs/pkg-summary.html">org.apache.http.impl.nio.codecs</a> (211)</td></tr>
                    
                        <tr><td>5. </td><td>66.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6636364</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.6% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="66.4% Covered" class="barPositive " style="width: 66.4%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/nio/util/pkg-summary.html">org.apache.http.nio.util</a> (149)</td></tr>
                </table>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
                    <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
            <label class="titleText link" onkeyup="return help_dash_classes;" onclick="self.location='pkg-summary.html'">Most Complex Classes</label>
        <table>
                    
                        <tr><td>1. </td><td>71.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.71257484</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.7% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="71.3% Covered" class="barPositive " style="width: 71.3%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/nio/reactor/ssl/SSLIOSession.html#SSLIOSession"  title="org.apache.http.nio.reactor.ssl.SSLIOSession">SSLIOSession</a>
                (99)
            </td></tr>
                    
                        <tr><td>2. </td><td>63.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6387283</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.1% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="63.9% Covered" class="barPositive " style="width: 63.9%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler"  title="org.apache.http.nio.protocol.ThrottlingHttpServiceHandler">ThrottlingHttpServiceHandler</a>
                (79)
            </td></tr>
                    
                        <tr><td>3. </td><td>92.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9285714</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="7.1% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="92.9% Covered" class="barPositive " style="width: 92.9%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService"  title="org.apache.http.nio.protocol.HttpAsyncService">HttpAsyncService</a>
                (79)
            </td></tr>
                    
                        <tr><td>4. </td><td>65.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6529851</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="34.7% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="65.3% Covered" class="barPositive " style="width: 65.3%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/impl/nio/reactor/AbstractIOReactor.html#AbstractIOReactor"  title="org.apache.http.impl.nio.reactor.AbstractIOReactor">AbstractIOReactor</a>
                (77)
            </td></tr>
                    
                        <tr><td>5. </td><td>67.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6712329</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="32.9% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="67.1% Covered" class="barPositive " style="width: 67.1%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler"  title="org.apache.http.nio.protocol.AsyncNHttpServiceHandler">AsyncNHttpServiceHandler</a>
                (71)
            </td></tr>
                </table>

                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    
    </div>
    <div class="right-twothirds">

                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                            <label class="titleText link" onkeyup="return help_dash_test_results;" onclick="self.location='test-pkg-summary.html'">Test Results</label>
                <span> <span class="">364 / 364</span> tests 14.04 secs</span>
            <table>
                                <tr>
                    <td>100%</td>
                    <td style="width:200px">
                                                

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>                    </td>
                </tr>
                            </table>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    
                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <label class="titleText link" onkeyup="return help_dash_risks;" onclick="self.location='proj-risks.html'">Top 20 Project Risks</label>
            <div>
            
                                           <a class="tag" href="org/apache/http/impl/nio/reactor/SSLIOSession.html#SSLIOSession"
               style="font-size: 15px;color:#e4051a"
               title="Average Method Complexity - 2.5 , Coverage - 0% ">SSLIOSession</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch"
               style="font-size: 13px;color:#e4051a"
               title="Average Method Complexity - 1.727 , Coverage - 0% ">SSLClientIOEventDispatch</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch"
               style="font-size: 13px;color:#e4051a"
               title="Average Method Complexity - 1.727 , Coverage - 0% ">SSLServerIOEventDispatch</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory"
               style="font-size: 13px;color:#e4051a"
               title="Average Method Complexity - 1.7 , Coverage - 0% ">SSLNHttpClientConnectionFactory</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory"
               style="font-size: 13px;color:#e4051a"
               title="Average Method Complexity - 1.7 , Coverage - 0% ">SSLNHttpServerConnectionFactory</a>
                          
                                           <a class="tag" href="org/apache/http/nio/entity/NFileEntity.html#NFileEntity"
               style="font-size: 13px;color:#e4051a"
               title="Average Method Complexity - 1.615 , Coverage - 0% ">NFileEntity</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/reactor/SessionRequestImpl.html#SessionRequestImpl"
               style="font-size: 15px;color:#80057e"
               title="Average Method Complexity - 2.467 , Coverage - 42.1% ">SessionRequestImpl</a>
                          
                                           <a class="tag" href="org/apache/http/nio/entity/EntityAsyncContentProducer.html#EntityAsyncContentProducer"
               style="font-size: 13px;color:#b2054c"
               title="Average Method Complexity - 2 , Coverage - 17.2% ">EntityAsyncContentProducer</a>
                          
                                           <a class="tag" href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler"
               style="font-size: 20px;color:#4d05b1"
               title="Average Method Complexity - 4.647 , Coverage - 63.9% ">ThrottlingHttpServiceHandler</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor"
               style="font-size: 16px;color:#4d05b1"
               title="Average Method Complexity - 3.083 , Coverage - 60% ">DefaultConnectingIOReactor</a>
                          
                                           <a class="tag" href="org/apache/http/nio/protocol/NHttpHandlerBase.html#NHttpHandlerBase"
               style="font-size: 14px;color:#80057e"
               title="Average Method Complexity - 2.286 , Coverage - 43.2% ">NHttpHandlerBase</a>
                          
                                           <a class="tag" href="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler"
               style="font-size: 18px;color:#4d05b1"
               title="Average Method Complexity - 3.941 , Coverage - 65.9% ">ThrottlingHttpClientHandler</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/DefaultNHttpServerConnectionFactory.html#DefaultNHttpServerConnectionFactory"
               style="font-size: 13px;color:#b2054c"
               title="Average Method Complexity - 1.833 , Coverage - 20.9% ">DefaultNHttpServerConnectionFactory</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/reactor/AbstractIODispatch.html#AbstractIODispatch"
               style="font-size: 20px;color:#3405ca"
               title="Average Method Complexity - 4.5 , Coverage - 66.7% ">AbstractIODispatch</a>
                          
                                           <a class="tag" href="org/apache/http/nio/entity/NHttpEntityWrapper.html#NHttpEntityWrapper"
               style="font-size: 12px;color:#e4051a"
               title="Average Method Complexity - 1.429 , Coverage - 0% ">NHttpEntityWrapper</a>
                          
                                           <a class="tag" href="org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler"
               style="font-size: 18px;color:#3405ca"
               title="Average Method Complexity - 4 , Coverage - 66.4% ">AsyncNHttpClientHandler</a>
                          
                                           <a class="tag" href="org/apache/http/impl/nio/codecs/IdentityEncoder.html#IdentityEncoder"
               style="font-size: 13px;color:#80057e"
               title="Average Method Complexity - 2 , Coverage - 43.8% ">IdentityEncoder</a>
                          
                                           <a class="tag" href="org/apache/http/nio/entity/SkipContentListener.html#SkipContentListener"
               style="font-size: 12px;color:#e4051a"
               title="Average Method Complexity - 1.333 , Coverage - 0% ">SkipContentListener</a>
                          
                                           <a class="tag" href="org/apache/http/nio/util/SharedInputBuffer.html#SharedInputBuffer"
               style="font-size: 15px;color:#4d05b1"
               title="Average Method Complexity - 2.5 , Coverage - 57.8% ">SharedInputBuffer</a>
                          
                                           <a class="tag" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler"
               style="font-size: 18px;color:#3405ca"
               title="Average Method Complexity - 3.944 , Coverage - 67.1% ">AsyncNHttpServiceHandler</a>
                                      </div>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    
                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <label class="titleText link" onkeyup="return help_dash_treemap;" onclick="self.location='treemap.html'">
                Coverage Tree Map
            </label>
            <p/>
            <div>
                <div id="infovis" style="width:600px; height:200px;">
                    <div id="treemap-loader" style="position:relative;top:50px;">
                        <p>
                            Generating Coverage Tree Map. Please wait...
                        </p>
                        <p>
                            <img src="img/ajax-loader.gif" alt="Loading Treemap"/>
                        </p>
                    </div>
                </div>
            </div>

                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    

                        <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <label class="titleText link" onkeyup="return help_dash_untested_methods;" onclick="self.location='test-pkg-summary.html'">Least Tested Methods</label>
            <table>
                
                <tr>
                    <td align="right">1.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="NHttpConnectionBase.NHttpConnectionBase(IOSession,ByteBufferAllocator,HttpParams)" href="org/apache/http/impl/nio/NHttpConnectionBase.html?line=133#src-133">NHttpConnectionBase.NHttpConnectionBase(IOSession,ByteBufferAllocator,HttpParams)</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">2.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="IOSessionImpl.toString()&nbsp;:&nbsp;String" href="org/apache/http/impl/nio/reactor/IOSessionImpl.html?line=324#src-324">IOSessionImpl.toString()&nbsp;:&nbsp;String</a> (8)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">3.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="ThrottlingHttpServiceHandler.exception(NHttpServerConnection,HttpException)&nbsp;:&nbsp;void" href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html?line=184#src-184">ThrottlingHttpServiceHandler.exception(NHttpServerConnection,HttpException)&nbsp;:&nbsp;void</a> (7)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">4.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SSLIOSession.toString()&nbsp;:&nbsp;String" href="org/apache/http/nio/reactor/ssl/SSLIOSession.html?line=560#src-560">SSLIOSession.toString()&nbsp;:&nbsp;String</a> (5)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">5.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SessionRequestImpl.failed(IOException)&nbsp;:&nbsp;void" href="org/apache/http/impl/nio/reactor/SessionRequestImpl.html?line=133#src-133">SessionRequestImpl.failed(IOException)&nbsp;:&nbsp;void</a> (7)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">6.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AsyncNHttpServiceHandler.exception(NHttpServerConnection,HttpException)&nbsp;:&nbsp;void" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html?line=254#src-254">AsyncNHttpServiceHandler.exception(NHttpServerConnection,HttpException)&nbsp;:&nbsp;void</a> (7)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">7.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="NHttpConnectionBase.toString()&nbsp;:&nbsp;String" href="org/apache/http/impl/nio/NHttpConnectionBase.html?line=527#src-527">NHttpConnectionBase.toString()&nbsp;:&nbsp;String</a> (6)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">8.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SessionRequestImpl.cancel()&nbsp;:&nbsp;void" href="org/apache/http/impl/nio/reactor/SessionRequestImpl.html?line=196#src-196">SessionRequestImpl.cancel()&nbsp;:&nbsp;void</a> (6)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">9.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SessionRequestImpl.timeout()&nbsp;:&nbsp;void" href="org/apache/http/impl/nio/reactor/SessionRequestImpl.html?line=160#src-160">SessionRequestImpl.timeout()&nbsp;:&nbsp;void</a> (6)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">10.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="NFileEntity.produceContent(ContentEncoder,IOControl)&nbsp;:&nbsp;void" href="org/apache/http/nio/entity/NFileEntity.html?line=156#src-156">NFileEntity.produceContent(ContentEncoder,IOControl)&nbsp;:&nbsp;void</a> (6)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">11.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SSLNHttpClientConnectionFactory.createConnection(IOSession)&nbsp;:&nbsp;DefaultNHttpClientConnection" href="org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html?line=188#src-188">SSLNHttpClientConnectionFactory.createConnection(IOSession)&nbsp;:&nbsp;DefaultNHttpClientConnection</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">12.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SSLNHttpServerConnectionFactory.createConnection(IOSession)&nbsp;:&nbsp;DefaultNHttpServerConnection" href="org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html?line=188#src-188">SSLNHttpServerConnectionFactory.createConnection(IOSession)&nbsp;:&nbsp;DefaultNHttpServerConnection</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">13.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="DefaultNHttpServerConnectionFactory.createConnection(IOSession)&nbsp;:&nbsp;DefaultNHttpServerConnection" href="org/apache/http/impl/nio/DefaultNHttpServerConnectionFactory.html?line=124#src-124">DefaultNHttpServerConnectionFactory.createConnection(IOSession)&nbsp;:&nbsp;DefaultNHttpServerConnection</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">14.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="DefaultListeningIOReactor.pause()&nbsp;:&nbsp;void" href="org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html?line=275#src-275">DefaultListeningIOReactor.pause()&nbsp;:&nbsp;void</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">15.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SessionInputBufferImpl.SessionInputBufferImpl(int,int,ByteBufferAllocator,HttpParams)" href="org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html?line=96#src-96">SessionInputBufferImpl.SessionInputBufferImpl(int,int,ByteBufferAllocator,HttpParams)</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">16.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SessionOutputBufferImpl.SessionOutputBufferImpl(int,int,ByteBufferAllocator,HttpParams)" href="org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html?line=98#src-98">SessionOutputBufferImpl.SessionOutputBufferImpl(int,int,ByteBufferAllocator,HttpParams)</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">17.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="ThrottlingHttpClientHandler.timeout(NHttpClientConnection)&nbsp;:&nbsp;void" href="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html?line=376#src-376">ThrottlingHttpClientHandler.timeout(NHttpClientConnection)&nbsp;:&nbsp;void</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">18.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="ThrottlingHttpServiceHandler.handleException(HttpException,HttpResponse)&nbsp;:&nbsp;void" href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html?line=400#src-400">ThrottlingHttpServiceHandler.handleException(HttpException,HttpResponse)&nbsp;:&nbsp;void</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">19.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="NByteArrayEntity.NByteArrayEntity(byte[],int,int,ContentType)" href="org/apache/http/nio/entity/NByteArrayEntity.html?line=88#src-88">NByteArrayEntity.NByteArrayEntity(byte[],int,int,ContentType)</a> (7)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">20.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="IOSessionImpl.formatOps(StringBuilder,int)&nbsp;:&nbsp;void" href="org/apache/http/impl/nio/reactor/IOSessionImpl.html?line=297#src-297">IOSessionImpl.formatOps(StringBuilder,int)&nbsp;:&nbsp;void</a> (5)
                    </td>
                </tr>
                            </table>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
            
    </div>

    </td>
</tr>

<tr><td class="hbreak" colspan="2">&nbsp;</td></tr>
<tr><td class="hbreak" colspan="2">&nbsp;</td></tr>
<tr><td class="footer" colspan="2">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript" src="jit.js" ></script>
<script type="text/javascript" src="treemap-dash-json.js" ></script>
</body>

</html>
